javax.annotation.sql

## Annotation Type DataSourceDefinition

-     @Target(value=TYPE)
       @Retention(value=RUNTIME)
      public @interface DataSourceDefinition

  Since:
    Common Annotations 1.1

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `java.lang.String` | `className`
    `java.lang.String` | `name`

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `java.lang.String` | `databaseName`
    `java.lang.String` | `description`
    `int` | `initialPoolSize`
    `int` | `isolationLevel`
    `int` | `loginTimeout`
    `int` | `maxIdleTime`
    `int` | `maxPoolSize`
    `int` | `maxStatements`
    `int` | `minPoolSize`
    `java.lang.String` | `password`
    `int` | `portNumber`
    `java.lang.String[]` | `properties`
    `java.lang.String` | `serverName`
    `boolean` | `transactional`
    `java.lang.String` | `url`
    `java.lang.String` | `user`

- - ### Element Detail

    - #### className

          public abstract java.lang.String className

      Returns:
        the className

  - - #### name

          public abstract java.lang.String name

      Returns:
        the name

  - - #### description

          public abstract java.lang.String description

      Returns:
        the description
      Default:
        ""

  - - #### url

          public abstract java.lang.String url

      Returns:
        the url
      Default:
        ""

  - - #### user

          public abstract java.lang.String user

      Returns:
        the user
      Default:
        ""

  - - #### password

          public abstract java.lang.String password

      Returns:
        the password
      Default:
        ""

  - - #### databaseName

          public abstract java.lang.String databaseName

      Returns:
        database name
      Default:
        ""

  - - #### portNumber

          public abstract int portNumber

      Returns:
        the port number
      Default:
        -1

  - - #### serverName

          public abstract java.lang.String serverName

      Returns:
        the server name
      Default:
        "localhost"

  - - #### isolationLevel

          public abstract int isolationLevel

      Returns:
        the isolation level
      Default:
        -1

  - - #### transactional

          public abstract boolean transactional

      Returns:
        true if the data source is transactional
      Default:
        true

  - - #### initialPoolSize

          public abstract int initialPoolSize

      Returns:
        the initial pool size
      Default:
        -1

  - - #### maxPoolSize

          public abstract int maxPoolSize

      Returns:
        the max pool size
      Default:
        -1

  - - #### minPoolSize

          public abstract int minPoolSize

      Returns:
        the min pool size
      Default:
        -1

  - - #### maxIdleTime

          public abstract int maxIdleTime

      Returns:
        the max idle time
      Default:
        -1

  - - #### maxStatements

          public abstract int maxStatements

      Returns:
        the max statements
      Default:
        -1

  - - #### properties

          public abstract java.lang.String[] properties

      Returns:
        a String[] with the properties
      Default:
        {}

  - - #### loginTimeout

          public abstract int loginTimeout

      Returns:
        the login timeout
      Default:
        0

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.